<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DeskHelper: Исходный файл /home/alner/Документы/Командный курсовой проект/deskhelper/deskhelper/app/deskhelper/qxtglobalshortcut5/core/qxtglobal.h</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">DeskHelper
   </div>
   <div id="projectbrief">app for quick and convenient (voice input) access to data, to other app as well as for reminders</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Создано системой Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Поиск');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Поиск');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d18178d2ea326c53ebbe8cdc4c7ebc8a.html">qxtglobalshortcut5</a></li><li class="navelem"><a class="el" href="dir_06584597728f313f88609fbddc331804.html">core</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">qxtglobal.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="qxtglobal_8h.html">См. документацию.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160; </div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">** Copyright (c) 2006 - 2011, the LibQxt project.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">** See the Qxt AUTHORS file for a list of authors and copyright holders.</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">** All rights reserved.</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">** Redistribution and use in source and binary forms, with or without</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment">** modification, are permitted provided that the following conditions are met:</span></div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">**     * Redistributions of source code must retain the above copyright</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer.</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">**     * Redistributions in binary form must reproduce the above copyright</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment">**       notice, this list of conditions and the following disclaimer in the</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">**       documentation and/or other materials provided with the distribution.</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">**     * Neither the name of the LibQxt project nor the</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">**       names of its contributors may be used to endorse or promote products</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">**       derived from this software without specific prior written permission.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">** THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS &quot;AS IS&quot; AND</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">** ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">** WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="comment">** DISCLAIMED. IN NO EVENT SHALL &lt;COPYRIGHT HOLDER&gt; BE LIABLE FOR ANY</span></div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="comment">** DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="comment">** (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="comment">** LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND</span></div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="comment">** ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="comment">** (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;<span class="comment">** SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.</span></div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="comment">**</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">** &lt;http://libqxt.org&gt;  &lt;foundation@libqxt.org&gt;</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="comment">*****************************************************************************/</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160; </div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#ifndef QXTGLOBAL_H</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;<span class="preprocessor">#define QXTGLOBAL_H</span></div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;<span class="preprocessor">#include &lt;QtGlobal&gt;</span></div>
<div class="line"><a name="l00036"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a709b832e99642d927fd76c542656464f">   36</a></span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#af63b9116cf3afbac3b23c2d6d32f2bc1">   37</a></span>&#160;<span class="preprocessor">#define QXT_VERSION 0x000700</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;<span class="preprocessor">#define QXT_VERSION_STR &quot;0.7.0&quot;</span></div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;<span class="comment">//--------------------------global macros------------------------------</span></div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160; </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;<span class="preprocessor">#ifndef QXT_NO_MACROS</span></div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;<span class="preprocessor">#endif // QXT_NO_MACROS</span></div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;<span class="comment">//--------------------------export macros------------------------------</span></div>
<div class="line"><a name="l00047"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a72d253ea23f67c9ffd539eec7d899014">   47</a></span>&#160; </div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;<span class="preprocessor">#define QXT_DLLEXPORT DO_NOT_USE_THIS_ANYMORE</span></div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_CORE)</span></div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;<span class="preprocessor">#        define QXT_CORE_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00053"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a02cad05925feac83595fb30226df842f">   53</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;<span class="preprocessor">#        define QXT_CORE_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;<span class="preprocessor">#    define QXT_CORE_EXPORT</span></div>
<div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_CORE</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160; </div>
<div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_GUI)</span></div>
<div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;<span class="preprocessor">#        define QXT_GUI_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00063"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ac2766eeda3beab1ed67f043a2169fc65">   63</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;<span class="preprocessor">#        define QXT_GUI_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;<span class="preprocessor">#    define QXT_GUI_EXPORT</span></div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_GUI</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160; </div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_NETWORK)</span></div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160;<span class="preprocessor">#        define QXT_NETWORK_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00073"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a33c727f9e45b9c1a35d46c7a98691159">   73</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;<span class="preprocessor">#        define QXT_NETWORK_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;<span class="preprocessor">#    define QXT_NETWORK_EXPORT</span></div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_NETWORK</span></div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160; </div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_SQL)</span></div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;<span class="preprocessor">#        define QXT_SQL_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00083"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ad056c17e78eb22c0bbd738f598d112e8">   83</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;<span class="preprocessor">#        define QXT_SQL_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;<span class="preprocessor">#    define QXT_SQL_EXPORT</span></div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_SQL</span></div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160; </div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_WEB)</span></div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;<span class="preprocessor">#        define QXT_WEB_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00093"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ab1912f375d2a3c71589cf5a99aca6231">   93</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;<span class="preprocessor">#        define QXT_WEB_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00096"></a><span class="lineno">   96</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;<span class="preprocessor">#    define QXT_WEB_EXPORT</span></div>
<div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_WEB</span></div>
<div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160; </div>
<div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_BERKELEY)</span></div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;<span class="preprocessor">#        define QXT_BERKELEY_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00103"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a01b94256cdd683a4e2530b7e68bdf783">  103</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;<span class="preprocessor">#        define QXT_BERKELEY_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;<span class="preprocessor">#    define QXT_BERKELEY_EXPORT</span></div>
<div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;<span class="preprocessor">#endif // BUILD_QXT_BERKELEY</span></div>
<div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160; </div>
<div class="line"><a name="l00110"></a><span class="lineno">  110</span>&#160;<span class="preprocessor">#if !defined(QXT_STATIC) &amp;&amp; !defined(QXT_DOXYGEN_RUN)</span></div>
<div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;<span class="preprocessor">#    if defined(BUILD_QXT_ZEROCONF)</span></div>
<div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;<span class="preprocessor">#        define QXT_ZEROCONF_EXPORT Q_DECL_EXPORT</span></div>
<div class="line"><a name="l00113"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a2c93744b6568adee643a5d643ae71cbb">  113</a></span>&#160;<span class="preprocessor">#    else</span></div>
<div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;<span class="preprocessor">#        define QXT_ZEROCONF_EXPORT Q_DECL_IMPORT</span></div>
<div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;<span class="preprocessor">#    endif</span></div>
<div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;<span class="preprocessor">#else</span></div>
<div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;<span class="preprocessor">#    define QXT_ZEROCONF_EXPORT</span></div>
<div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;<span class="preprocessor">#endif // QXT_ZEROCONF_EXPORT</span></div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160; </div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;<span class="preprocessor">#if defined(BUILD_QXT_CORE) || defined(BUILD_QXT_GUI) || defined(BUILD_QXT_SQL) || defined(BUILD_QXT_NETWORK) || defined(BUILD_QXT_WEB) || defined(BUILD_QXT_BERKELEY) || defined(BUILD_QXT_ZEROCONF)</span></div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="preprocessor">#   define BUILD_QXT</span></div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160; </div>
<div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;<a class="code" href="qxtglobal_8h.html#a02cad05925feac83595fb30226df842f">QXT_CORE_EXPORT</a> <span class="keyword">const</span> <span class="keywordtype">char</span>* <a class="code" href="qxtglobal_8h.html#a2b828d42bbe444832389e2c29aca9f83">qxtVersion</a>();</div>
<div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160; </div>
<div class="line"><a name="l00126"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ae7344b820974b9f9f7cfedd5808bd3a0">  126</a></span>&#160;<span class="preprocessor">#ifndef QT_BEGIN_NAMESPACE</span></div>
<div class="line"><a name="l00127"></a><span class="lineno">  127</span>&#160;<span class="preprocessor">#define QT_BEGIN_NAMESPACE</span></div>
<div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160; </div>
<div class="line"><a name="l00130"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#af0211888b9fea89f8a616cd6566c521e">  130</a></span>&#160;<span class="preprocessor">#ifndef QT_END_NAMESPACE</span></div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;<span class="preprocessor">#define QT_END_NAMESPACE</span></div>
<div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160; </div>
<div class="line"><a name="l00134"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a029cc54902f2103f16d8a34075b61ea1">  134</a></span>&#160;<span class="preprocessor">#ifndef QT_FORWARD_DECLARE_CLASS</span></div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="preprocessor">#define QT_FORWARD_DECLARE_CLASS(Class) class Class;</span></div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">/****************************************************************************</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="comment">** This file is derived from code bearing the following notice:</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;<span class="comment">** The sole author of this file, Adam Higerd, has explicitly disclaimed all</span></div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="comment">** copyright interest and protection for the content within. This file has</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="comment">** been placed in the public domain according to United States copyright</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160;<span class="comment">** statute and case law. In jurisdictions where this public domain dedication</span></div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="comment">** is not legally recognized, anyone who receives a copy of this file is</span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;<span class="comment">** permitted to use, modify, duplicate, and redistribute this file, in whole</span></div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="comment">** or in part, with no restrictions or conditions. In these jurisdictions,</span></div>
<div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;<span class="comment">** this file shall be copyright (C) 2006-2008 by Adam Higerd.</span></div>
<div class="line"><a name="l00148"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ac5322e633cecd76fb5bf9af96a41c38a">  148</a></span>&#160;<span class="comment">****************************************************************************/</span></div>
<div class="line"><a name="l00149"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#a0a0eab9c8a09c0a03185d2fd8b7cb8d5">  149</a></span>&#160; </div>
<div class="line"><a name="l00150"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#aafaaa31f6c623c1276ab7ce4f36b6b8a">  150</a></span>&#160;<span class="preprocessor">#define QXT_DECLARE_PRIVATE(PUB) friend class PUB##Private; QxtPrivateInterface&lt;PUB, PUB##Private&gt; qxt_d;</span></div>
<div class="line"><a name="l00151"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ad2abcc48ab132b008a0976cda54786c2">  151</a></span>&#160;<span class="preprocessor">#define QXT_DECLARE_PUBLIC(PUB) friend class PUB;</span></div>
<div class="line"><a name="l00152"></a><span class="lineno"><a class="line" href="qxtglobal_8h.html#ad17a8c04e466fb37425a987acaa9f021">  152</a></span>&#160;<span class="preprocessor">#define QXT_INIT_PRIVATE(PUB) qxt_d.setPublic(this);</span></div>
<div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;<span class="preprocessor">#define QXT_D(PUB) PUB##Private&amp; d = qxt_d()</span></div>
<div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;<span class="preprocessor">#define QXT_P(PUB) PUB&amp; p = qxt_p()</span></div>
<div class="line"><a name="l00155"></a><span class="lineno"><a class="line" href="classQxtPrivate.html">  155</a></span>&#160; </div>
<div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> PUB&gt;</div>
<div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;<span class="keyword">class </span><a class="code" href="classQxtPrivate.html">QxtPrivate</a></div>
<div class="line"><a name="l00158"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#a52c65876fecf578bcafed6a34ef5302f">  158</a></span>&#160;{</div>
<div class="line"><a name="l00159"></a><span class="lineno">  159</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00160"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#a4ce78973fe45d42d57536f4ee068dc79">  160</a></span>&#160;    <span class="keyword">virtual</span> <a class="code" href="classQxtPrivate.html#a52c65876fecf578bcafed6a34ef5302f">~QxtPrivate</a>()</div>
<div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    {}</div>
<div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classQxtPrivate.html#a4ce78973fe45d42d57536f4ee068dc79">QXT_setPublic</a>(PUB* pub)</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    {</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;        <a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a> = pub;</div>
<div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    }</div>
<div class="line"><a name="l00166"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">  166</a></span>&#160; </div>
<div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;<span class="keyword">protected</span>:</div>
<div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    <span class="keyword">inline</span> PUB&amp; <a class="code" href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">qxt_p</a>()</div>
<div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    {</div>
<div class="line"><a name="l00170"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#abd387c7326500a27fa3631a86b441639">  170</a></span>&#160;        <span class="keywordflow">return</span> *<a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a>;</div>
<div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    }</div>
<div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    <span class="keyword">inline</span> <span class="keyword">const</span> PUB&amp; <a class="code" href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">qxt_p</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;<span class="keyword">    </span>{</div>
<div class="line"><a name="l00174"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#a94b205997d27c08ee1611f3022b6145f">  174</a></span>&#160;        <span class="keywordflow">return</span> *<a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a>;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    }</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    <span class="keyword">inline</span> PUB* <a class="code" href="classQxtPrivate.html#a94b205997d27c08ee1611f3022b6145f">qxt_ptr</a>()</div>
<div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    {</div>
<div class="line"><a name="l00178"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#ab55e8864af5f3490e9977efc2d970a7b">  178</a></span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a>;</div>
<div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    }</div>
<div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    <span class="keyword">inline</span> <span class="keyword">const</span> PUB* <a class="code" href="classQxtPrivate.html#a94b205997d27c08ee1611f3022b6145f">qxt_ptr</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;<span class="keyword">    </span>{</div>
<div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a>;</div>
<div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    }</div>
<div class="line"><a name="l00184"></a><span class="lineno"><a class="line" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">  184</a></span>&#160; </div>
<div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    PUB* <a class="code" href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">qxt_p_ptr</a>;</div>
<div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;};</div>
<div class="line"><a name="l00188"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html">  188</a></span>&#160; </div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;<span class="keyword">template</span> &lt;<span class="keyword">typename</span> PUB, <span class="keyword">typename</span> PVT&gt;</div>
<div class="line"><a name="l00190"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a1a9e74afa6faa815c02bc2f184b21c68">  190</a></span>&#160;<span class="keyword">class </span><a class="code" href="classQxtPrivateInterface.html">QxtPrivateInterface</a></div>
<div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;{</div>
<div class="line"><a name="l00192"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#afbfb70825d95ae9f6f21c8f28eb0031c">  192</a></span>&#160;    <span class="keyword">friend</span> <span class="keyword">class </span><a class="code" href="classQxtPrivate.html">QxtPrivate</a>&lt;PUB&gt;;</div>
<div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    <a class="code" href="classQxtPrivateInterface.html#afbfb70825d95ae9f6f21c8f28eb0031c">QxtPrivateInterface</a>()</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    {</div>
<div class="line"><a name="l00196"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a0102fe4e9e69930dcc1f09cac7dd312b">  196</a></span>&#160;        <a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a> = <span class="keyword">new</span> PVT;</div>
<div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    }</div>
<div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    <a class="code" href="classQxtPrivateInterface.html#a0102fe4e9e69930dcc1f09cac7dd312b">~QxtPrivateInterface</a>()</div>
<div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    {</div>
<div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;        <span class="keyword">delete</span> <a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>;</div>
<div class="line"><a name="l00201"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a0aff7846be88207523a4f1993057c93b">  201</a></span>&#160;    }</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160; </div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    <span class="keyword">inline</span> <span class="keywordtype">void</span> <a class="code" href="classQxtPrivateInterface.html#a0aff7846be88207523a4f1993057c93b">setPublic</a>(PUB* pub)</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;    {</div>
<div class="line"><a name="l00205"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a4047480d9423001a9668fd417476bcbb">  205</a></span>&#160;        <a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>-&gt;QXT_setPublic(pub);</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    }</div>
<div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    <span class="keyword">inline</span> PVT&amp; <a class="code" href="classQxtPrivateInterface.html#a4047480d9423001a9668fd417476bcbb">operator()</a>()</div>
<div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    {</div>
<div class="line"><a name="l00209"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a956ef87c463f506dca512dedd663eb27">  209</a></span>&#160;        <span class="keywordflow">return</span> *static_cast&lt;PVT*&gt;(<a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>);</div>
<div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    }</div>
<div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    <span class="keyword">inline</span> <span class="keyword">const</span> PVT&amp; <a class="code" href="classQxtPrivateInterface.html#a4047480d9423001a9668fd417476bcbb">operator()</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;<span class="keyword">    </span>{</div>
<div class="line"><a name="l00213"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a658d7cf756d5bacc2be90bdeab114ff1">  213</a></span>&#160;        <span class="keywordflow">return</span> *static_cast&lt;PVT*&gt;(<a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>);</div>
<div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    }</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keyword">inline</span> PVT * <a class="code" href="classQxtPrivateInterface.html#a658d7cf756d5bacc2be90bdeab114ff1">operator-&gt;</a>()</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;    {</div>
<div class="line"><a name="l00217"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#ac6071f15b5fef186753a0d63b92c4040">  217</a></span>&#160;    <span class="keywordflow">return</span> static_cast&lt;PVT*&gt;(<a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>);</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;    }</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;    <span class="keyword">inline</span> <span class="keyword">const</span> PVT * <a class="code" href="classQxtPrivateInterface.html#a658d7cf756d5bacc2be90bdeab114ff1">operator-&gt;</a>()<span class="keyword"> const</span></div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;<span class="keyword">    </span>{</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    <span class="keywordflow">return</span> static_cast&lt;PVT*&gt;(<a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>);</div>
<div class="line"><a name="l00222"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a2e58b396f34fbe6027e08b52db376643">  222</a></span>&#160;    }</div>
<div class="line"><a name="l00223"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#a401d8c13631df63c623cd9c1168a2539">  223</a></span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00224"></a><span class="lineno"><a class="line" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">  224</a></span>&#160;    <a class="code" href="classQxtPrivateInterface.html#afbfb70825d95ae9f6f21c8f28eb0031c">QxtPrivateInterface</a>(<span class="keyword">const</span> <a class="code" href="classQxtPrivateInterface.html">QxtPrivateInterface</a>&amp;) { }</div>
<div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    <a class="code" href="classQxtPrivateInterface.html">QxtPrivateInterface</a>&amp; <a class="code" href="classQxtPrivateInterface.html#a401d8c13631df63c623cd9c1168a2539">operator=</a>(<span class="keyword">const</span> <a class="code" href="classQxtPrivateInterface.html">QxtPrivateInterface</a>&amp;) { }</div>
<div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    <a class="code" href="classQxtPrivate.html">QxtPrivate&lt;PUB&gt;</a>* <a class="code" href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">pvt</a>;</div>
<div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;};</div>
<div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160; </div>
<div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;<span class="preprocessor">#endif // QXT_GLOBAL</span></div>
</div><!-- fragment --></div><!-- contents -->
<div class="ttc" id="aclassQxtPrivate_html_a52c65876fecf578bcafed6a34ef5302f"><div class="ttname"><a href="classQxtPrivate.html#a52c65876fecf578bcafed6a34ef5302f">QxtPrivate::~QxtPrivate</a></div><div class="ttdeci">virtual ~QxtPrivate()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00158">qxtglobal.h:158</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html_a2b828d42bbe444832389e2c29aca9f83"><div class="ttname"><a href="qxtglobal_8h.html#a2b828d42bbe444832389e2c29aca9f83">qxtVersion</a></div><div class="ttdeci">const QXT_CORE_EXPORT char * qxtVersion()</div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_aa71b2b3344d50f499f593a2da45ce0f9"><div class="ttname"><a href="classQxtPrivateInterface.html#aa71b2b3344d50f499f593a2da45ce0f9">QxtPrivateInterface::pvt</a></div><div class="ttdeci">QxtPrivate&lt; PUB &gt; * pvt</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00224">qxtglobal.h:224</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html"><div class="ttname"><a href="classQxtPrivate.html">QxtPrivate</a></div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00155">qxtglobal.h:155</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html_a8a154f41226663dc0e9ddf1692f71be0"><div class="ttname"><a href="classQxtPrivate.html#a8a154f41226663dc0e9ddf1692f71be0">QxtPrivate::qxt_p</a></div><div class="ttdeci">PUB &amp; qxt_p()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00166">qxtglobal.h:166</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_a0102fe4e9e69930dcc1f09cac7dd312b"><div class="ttname"><a href="classQxtPrivateInterface.html#a0102fe4e9e69930dcc1f09cac7dd312b">QxtPrivateInterface::~QxtPrivateInterface</a></div><div class="ttdeci">~QxtPrivateInterface()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00196">qxtglobal.h:196</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_a0aff7846be88207523a4f1993057c93b"><div class="ttname"><a href="classQxtPrivateInterface.html#a0aff7846be88207523a4f1993057c93b">QxtPrivateInterface::setPublic</a></div><div class="ttdeci">void setPublic(PUB *pub)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00201">qxtglobal.h:201</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_a401d8c13631df63c623cd9c1168a2539"><div class="ttname"><a href="classQxtPrivateInterface.html#a401d8c13631df63c623cd9c1168a2539">QxtPrivateInterface::operator=</a></div><div class="ttdeci">QxtPrivateInterface &amp; operator=(const QxtPrivateInterface &amp;)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00223">qxtglobal.h:223</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html_a4ce78973fe45d42d57536f4ee068dc79"><div class="ttname"><a href="classQxtPrivate.html#a4ce78973fe45d42d57536f4ee068dc79">QxtPrivate::QXT_setPublic</a></div><div class="ttdeci">void QXT_setPublic(PUB *pub)</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00160">qxtglobal.h:160</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html_a795119eb3c84d0788a8c6c24fc440166"><div class="ttname"><a href="classQxtPrivate.html#a795119eb3c84d0788a8c6c24fc440166">QxtPrivate::qxt_p_ptr</a></div><div class="ttdeci">PUB * qxt_p_ptr</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00184">qxtglobal.h:184</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_afbfb70825d95ae9f6f21c8f28eb0031c"><div class="ttname"><a href="classQxtPrivateInterface.html#afbfb70825d95ae9f6f21c8f28eb0031c">QxtPrivateInterface::QxtPrivateInterface</a></div><div class="ttdeci">QxtPrivateInterface()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00192">qxtglobal.h:192</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_a4047480d9423001a9668fd417476bcbb"><div class="ttname"><a href="classQxtPrivateInterface.html#a4047480d9423001a9668fd417476bcbb">QxtPrivateInterface::operator()</a></div><div class="ttdeci">PVT &amp; operator()()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00205">qxtglobal.h:205</a></div></div>
<div class="ttc" id="aqxtglobal_8h_html_a02cad05925feac83595fb30226df842f"><div class="ttname"><a href="qxtglobal_8h.html#a02cad05925feac83595fb30226df842f">QXT_CORE_EXPORT</a></div><div class="ttdeci">#define QXT_CORE_EXPORT</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00053">qxtglobal.h:53</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html"><div class="ttname"><a href="classQxtPrivateInterface.html">QxtPrivateInterface</a></div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00188">qxtglobal.h:188</a></div></div>
<div class="ttc" id="aclassQxtPrivateInterface_html_a658d7cf756d5bacc2be90bdeab114ff1"><div class="ttname"><a href="classQxtPrivateInterface.html#a658d7cf756d5bacc2be90bdeab114ff1">QxtPrivateInterface::operator-&gt;</a></div><div class="ttdeci">PVT * operator-&gt;()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00213">qxtglobal.h:213</a></div></div>
<div class="ttc" id="aclassQxtPrivate_html_a94b205997d27c08ee1611f3022b6145f"><div class="ttname"><a href="classQxtPrivate.html#a94b205997d27c08ee1611f3022b6145f">QxtPrivate::qxt_ptr</a></div><div class="ttdeci">PUB * qxt_ptr()</div><div class="ttdef"><b>Definition:</b> <a href="qxtglobal_8h_source.html#l00174">qxtglobal.h:174</a></div></div>
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Создано системой &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
